"use strict";

var _cypressCucumberPreprocessor = require("@badeball/cypress-cucumber-preprocessor");
(0, _cypressCucumberPreprocessor.Given)('two equal sibling Layers are rendered', () => {
  cy.visitStory('Layer', 'Equal Siblings');
});
(0, _cypressCucumberPreprocessor.Given)('an alert, blocking, and applicatioTop Layer are rendered as siblings', () => {
  cy.visitStory('Layer', 'Inequal Siblings');
});
(0, _cypressCucumberPreprocessor.Given)('a blocking layer is rendered as the child of an alert layer', () => {
  cy.visitStory('Layer', 'Nested Lower Levels');
});
(0, _cypressCucumberPreprocessor.Given)('an alert layer is rendered as the child of a blocking layer', () => {
  cy.visitStory('Layer', 'Nested Higher Levels');
});
(0, _cypressCucumberPreprocessor.Given)('a layer with level 1001 is a sibling of 3 nested layers with level 1000', () => {
  cy.visitStory('Layer', 'Levels Are Respected When Nesting');
});
(0, _cypressCucumberPreprocessor.Given)('an applicatioTop layer with a nested alert layer with a blocking sibling', () => {
  cy.visitStory('Layer', 'Nested Higher Level Ends On Top');
});
(0, _cypressCucumberPreprocessor.Then)('the second layer is on top of the first layer', () => {
  // Wouldn't work if the element wasn't ontop of the second layer.
  // Cypress would fail, stating:
  // "[...] is being covered by another element: [...]"
  cy.get('.backdrop:visible').click();
  cy.window().should(win => {
    expect(win.onLayerClick).to.be.calledOnce;
    expect(win.onLayerClick).to.be.calledWith('second');
  });
});
(0, _cypressCucumberPreprocessor.Then)('the alert layer is on top', () => {
  cy.get('.backdrop:visible').click();
  cy.window().should(win => {
    expect(win.onLayerClick).to.be.calledOnce;
    expect(win.onLayerClick).to.be.calledWith('alert');
  });
});
(0, _cypressCucumberPreprocessor.Then)('the layer with level 1001 is on top', () => {
  cy.get('.backdrop:visible').click();
  cy.window().should(win => {
    expect(win.onLayerClick).to.be.calledOnce;
    expect(win.onLayerClick).to.be.calledWith('1001');
  });
});
(0, _cypressCucumberPreprocessor.Then)('the blocking layer is on top', () => {
  cy.get('.backdrop:visible').click();
  cy.window().should(win => {
    expect(win.onLayerClick).to.be.calledOnce;
    expect(win.onLayerClick).to.be.calledWith('blocking');
  });
});
(0, _cypressCucumberPreprocessor.Then)('the blocking layer is a child of the alert layer', () => {
  cy.get('[data-test="blocking"]').parent().should('have.data', 'test', 'alert');
});
(0, _cypressCucumberPreprocessor.Then)('the alert layer is a sibling of the blocking layer', () => {
  cy.get('[data-test="blocking"]').next().should('have.data', 'test', 'alert');
});